Autor Tópico: [RESOLVIDO] Problema ao instalar pacotes do ubuntu 9.04 no ASUS EEEPC 1000H  (Lida 2386 vezes)

Offline pebe

  • Usuário Ubuntu
  • *
  • Mensagens: 11
    • Ver perfil
Pessoal, insatalei o ubuntu 9.04 no meu EEEPC 1000H com 160GB e 1GB de RAM.
Estava indo quase td bem, tive problemas com o network-manager que não aceitava de jeito nenhum meu wireless com WAP/PSK daí trroquei para o wcd que não conseguia identificar redes fora da minha casa, e tbm não respondia a criptografia WAP e somente a WEP. Bem, depois reenstalei o network-manager e fiquei sem broadcast quando reconfigurei a rede e coloquei WEP mesmo. Bem agora ele pega. O grande problema é que fui mexer lá no Skype e instalar alguns pacotes. Marquei o Skytools pensando ser configurações para o Skype e me dei mnt mal. Agora sempre aparece pacotes quebrados com o seguinte msg:

E: postgresql-8.3: sub-processo post-installation script retornou estado de saída de erro 1
E: skytools-modules-8.3: problemas de dependência - deixando desconfigurado
E: skytools: problemas de dependência - deixando desconfigurado

Embaixo é o que aparece sempre que uso o apt-get seja via comando ou synaptic. Alguem poderia me ajudar? E como faço para o skype não iniciara automaticamente?

Configurando postgresql-8.3 (8.3.7-1) ...
 * Starting PostgreSQL 8.3 database server                                                                                    * The PostgreSQL server failed to start. Please check the log output:
2009-08-05 00:00:50 BRT FATAL:  permissões inseguras no arquivo contendo chave privada "server.key"
2009-08-05 00:00:50 BRT DETALHE:  Arquivo precisa ter como dono o usuário que executa o banco de dados ou o root, não deve ter permissões de escrita para o grupo e nenhuma permissão para "outros usuários".
                                                                                                                      [fail]
invoke-rc.d: initscript postgresql-8.3, action "start" failed.
dpkg: erro processando postgresql-8.3 (--configure):
 sub-processo post-installation script retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
 postgresql-8.3
Running prelink, please wait...
E: Sub-process /usr/bin/dpkg returned an error code (1)
A instalação de um pacote falhou. Tentando recuperar:
Configurando postgresql-8.3 (8.3.7-1) ...
 * Starting PostgreSQL 8.3 database server                                                                                    * The PostgreSQL server failed to start. Please check the log output:
2009-08-05 00:00:55 BRT FATAL:  permissões inseguras no arquivo contendo chave privada "server.key"
2009-08-05 00:00:55 BRT DETALHE:  Arquivo precisa ter como dono o usuário que executa o banco de dados ou o root, não deve ter permissões de escrita para o grupo e nenhuma permissão para "outros usuários".
                                                                                                                     [fail]
invoke-rc.d: initscript postgresql-8.3, action "start" failed.
dpkg: erro processando postgresql-8.3 (--configure):
 sub-processo post-installation script retornou estado de saída de erro 1
Erros foram encontrados durante o processamento de:
 postgresql-8.3
Lendo listas de pacotes... Pronto                      
Construindo árvore de dependências      
Lendo informação de estado... Pronto
Lendo informações estendidas de estado      
Inicializando estados de pacotes... Pronto
Escrevendo informações estendidas de estado... Pronto



« Última modificação: 06 de Agosto de 2009, 23:36 por pebe »

Offline pebe

  • Usuário Ubuntu
  • *
  • Mensagens: 11
    • Ver perfil
Re: Problema ao instalar pacotes do ubuntu 9.04 no ASUS EEEPC 1000H
« Resposta #1 Online: 06 de Agosto de 2009, 23:35 »
Consegui resolver o probblema depois de mnt tempo. Fui na página
http://www.guiaubuntupt.org/wiki/index.php?title=Explicacao_do_Dpkg_e_Apt
e num termal como root fiz:
dpkg -P postgresql-8.3

daí a notificação de problemas com o postgresql-8.3 desapareceu. Esse problema não me impedia de atualizar/instalar/remover programas, mas no final da configuração sempre dizia que havia erro no postgresql-8.3.
Ah! O Skype eu reinstalei pelos  repositórios e está rodando, apesar de de vez em quando ter uns problemas na conectividade e eu ter que sair da sessão e reentrar abrindo-o novamente e conversando com ele.

Assim resolvi meu problema.
« Última modificação: 06 de Agosto de 2009, 23:39 por pebe »